# php_user_filter::onClose

(PHP 5, PHP 7)

php_user_filter::onClose — Called when closing the filter

### Description

public php_user_filter::onClose ( void ) : void

This method is called upon filter shutdown (typically, this is also during stream shutdown), and is executed after the flush method is called. If any resources were allocated or initialized during onCreate() this would be the time to destroy or dispose of them.

### Parameters

This function has no parameters.

### Return Values

Return value is ignored.